mintsystem (8.6.3) zara; urgency=medium

  [ Clement Lefebvre ]
  * Add OEM cleanup

  [ Endre Czirbesz ]
  * Update apt to support --version (#147)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jul 2025 15:46:55 +0200

mintsystem (8.6.2) xia; urgency=medium

  * apt-download: Use a local repository

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Dec 2024 15:30:53 +0000

mintsystem (8.6.1) xia; urgency=medium

  [ SurinameClubcard ]
  * Fixed command line options parsing (#139)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Dec 2024 10:15:53 +0000

mintsystem (8.6.0) xia; urgency=medium

  * Remove dns-fix
  * Remove resolv.conf template

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2024 13:54:30 +0000

mintsystem (8.5.9) wilma; urgency=medium

  * APT prefs: Remove unnecessary priorities

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Jun 2024 16:59:07 +0100

mintsystem (8.5.8) virginia; urgency=medium

  * Fix apt search

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 09:55:14 +0000

mintsystem (8.5.7) virginia; urgency=medium

  [ terminalforlife ]
  * Optimize & clean up handling of terminal size
  * Allow simulate flags to get through
  * Improve `Usage()` & use `pass` with an exception

  [ Clement Lefebvre ]
  * Code: Make tuple more explicit
  * Usage: Explain the difference between apt and upstream apt
  * Usage: Update wording

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Nov 2023 15:31:05 +0000

mintsystem (8.5.6) victoria; urgency=medium

  * search: Make the help section more useful

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 31 May 2023 12:35:21 +0100

mintsystem (8.5.5) vera; urgency=medium

  * Remove mint-sha256sum

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 12:41:53 +0000

mintsystem (8.5.4) vanessa; urgency=medium

  [ Tibladar ]
  * Fix Steam not receiving params (#129)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Apr 2022 12:19:26 +0100

mintsystem (8.5.3) una; urgency=medium

  [ Butterfly ]
  * Add autopurge argcommand for /usr/bin/apt  (#127)

  [ McModknower ]
  * Fix a crash when using apt search in non-tty enviroments (#128)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Nov 2021 13:19:56 +0000

mintsystem (8.5.2) uma; urgency=medium

  * apt: Accept arguments preceeding command

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 26 May 2021 11:08:21 +0100

mintsystem (8.5.1) ulyssa; urgency=medium

  * apt download: Switch from dpkg to apt to enable conflicts resolution

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Jan 2021 13:23:12 +0000

mintsystem (8.5.0) ulyana; urgency=medium

  * apt-set-recommends: Restart packagekit

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Nov 2020 17:38:07 +0000

mintsystem (8.4.9) ulyana; urgency=medium

  [ Michael Webster ]
  * Use a system adjustment to enable apt recommends.
  * Don't create /etc/apt/apt.conf.d/99synaptic if it doesn't already exist.

  [ Clement Lefebvre ]
  * APT: Enable recommends in synaptic even if 00recommends does not exist

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Sep 2020 12:51:32 +0100

mintsystem (8.4.8) ulyana; urgency=medium

  [ Vincent Vermeulen ]
  * handle Ctrl+C in apt (#117)
  * Make apt work with apt patterns (#118)

  [ Clement Lefebvre ]
  * APT Changelog: Add compatibility with old versions of mintcommon
  * Re-enable APT recommends

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Sep 2020 13:36:04 +0100

mintsystem (8.4.7) debbie; urgency=medium

  [ nardholio ]
  * mintsystem: don't fail on apt-get purge

  [ Clement Lefebvre ]
  * Packaging: Switch to interest-noawait triggers

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Mar 2020 11:59:34 +0000

mintsystem (8.4.6) tricia; urgency=medium

  [ Chris Laplante ]
  * apt: fix bash completion handling of -- arguments (#106)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 18:20:13 +0100

mintsystem (8.4.5) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 13:08:08 +0200

mintsystem (8.4.4) tina; urgency=medium

  * APT preferences: Don't specify priority for Ubuntu repositories

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 Jul 2019 11:20:40 +0200

mintsystem (8.4.3) tina; urgency=medium

  [ Clement Lefebvre ]
  * apt: Use mint-common's version function
  * Don't rely on mintcommon's version module

  [ gm10 ]
  * Pin the official daily builds PPA (#95)

  [ Clement Lefebvre ]
  * Add lintian overrides

  [ gm10 ]
  * Remove unused templates (#96)

  [ Clement Lefebvre ]
  * apt recommends: Fix OR-dependency detection
  * search: Make filenames more visible
  * download: Fix wrong extension in success message
  * apt: Add showsrc command
  * apt: Use mint-common's changelog module

  [ yotabits ]
  * apt-preference: Cosmetic (#97)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 16:00:30 +0200

mintsystem (8.4.2) tessa; urgency=medium

  * APT: Clean downloaded files automatically

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Feb 2019 12:17:25 +0000

mintsystem (8.4.1) tessa; urgency=medium

  [ gm10 ]
  * enable sudo password feedback (#93)

  [ Thomas Praxl ]
  * Fix highlight package unusable when path ommitted (#81)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 12:21:22 +0000

mintsystem (8.4.0) tara; urgency=medium

  [ gm10 ]
  * apt: fix apt download

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Oct 2018 13:58:28 +0100

mintsystem (8.3.9) tara; urgency=medium

  * Don't depend on gist

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jul 2018 10:41:54 +0200

mintsystem (8.3.8) tara; urgency=medium

  * Add missing commands to bash completition

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Jun 2018 13:44:26 +0200

mintsystem (8.3.7) tara; urgency=medium

  [ NikoKrause ]
  * Nemo action: use symbolic icon

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Jun 2018 10:19:26 +0200

mintsystem (8.3.6) tara; urgency=medium

  [ monsta ]
  * properly remove old files from /etc/linuxmint/adjustments (#71)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 May 2018 18:02:19 +0100

mintsystem (8.3.5) tara; urgency=medium

  [ Clement Lefebvre ]
  * Remove fortunes

  [ Steve M ]
  * Fix for apt failing when not run from a terminal. (#70)

  [ Clement Lefebvre ]
  * Fix https://bugs.launchpad.net/linuxmint/+bug/1536291
  * Switch adjustments directory to /usr/share

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Feb 2018 17:06:05 +0000

mintsystem (8.3.4) sylvia; urgency=medium

  [ mrg0029 ]
  * Fix "apt recommends" catching e.g. "apt d" (#68)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 09:49:23 +0000

mintsystem (8.3.3) sylvia; urgency=medium

  [ Paul Jähne ]
  * Use Mimetypes instead of Extensions
  * Put translations for Name directly und Name
  * Add German translation

  [ jtsagata ]
  * Adapt "apt search" cmd output to terminal width (#1) (#67)

  [ Paul Jähne ]
  * Add progress dialog and title (#65)

  [ Clement Lefebvre ]
  * mint-sha256sum: Don't brand the window title.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 13:19:53 +0100

mintsystem (8.3.2) sonya; urgency=medium

  * Remove pastebin command (moved to xapps-common)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Jun 2017 13:17:49 +0100

mintsystem (8.3.1) sonya; urgency=medium

  [ Vladislav Naumov ]
  * Added markauto and markmanual feature.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 13:16:21 +0100

mintsystem (8.3.0) serena; urgency=medium

  * Replace system call with subprocess.call
  * Fixed output highlighting and sorting.
  * Fix apt download

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 05 Nov 2016 14:30:44 +0000

mintsystem (8.2.9) sarah; urgency=medium

  [ monsta ]
  * remove xchat-systray script as xchat is gone

  [ Two_Dogs ]
  * Use github's gist for pastebin

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Sep 2016 10:00:40 +0100

mintsystem (8.2.8) sarah; urgency=medium

  * Gave "apt download" rainbow powers

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 24 Jun 2016 22:56:03 +0100

mintsystem (8.2.7) sarah; urgency=medium

  * Init.d: Don't depend on remote filesystems being ready
  * Init.d: Remove syslog from list of dependencies
  * Provide a "simple" systemd service file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 24 Jun 2016 12:38:41 +0100

mintsystem (8.2.6) sarah; urgency=medium

  * Hide menu item: insert a line break before NoDisplay=true

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 May 2016 14:03:36 +0100

mintsystem (8.2.5) sarah; urgency=medium

  * APT: Rely on aptitude for "apt search"

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 May 2016 11:45:01 +0100

mintsystem (8.2.4) sarah; urgency=medium

  * Don't overwrite base files (rely on pinning instead)
  * Switch MD5 nemo action to SHA256

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 May 2016 15:38:20 +0100

mintsystem (8.2.3) sarah; urgency=medium

  * Don't depend on fortunes/cowsay

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Apr 2016 19:47:30 +0100

mintsystem (8.2.2) sarah; urgency=medium

  * Fixed regression on "exec" menu adjustments.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 12:56:04 +0100

mintsystem (8.2.1) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Adjustment: Don't rename files which don't exist (make the test explicit)
  * APT: Little change in usage()
  * APT wrapper: Refactored code a bit

  [ Daniel Alley ]
  * Formatting
  * Use sets instead of lists for arg lookup
  * Turned "apt" into a wrapper around the "apt" debian binary in /usr/bin/apt
  * Added dependency on apt binary
  * Added new descriptions, reduced conditional to 1 level, added support for aliases
  * Formatting
  * Renamed folders from camelCase to lowercase

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 11:57:19 +0100

mintsystem (8.2.0) sarah; urgency=medium

  [ Daniel Alley ]
  * update all python to python3 and quit using dh_python

  [ Clement Lefebvre ]
  * Fixed pastebin (broken when migrated to python3)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 11:56:17 +0000

mintsystem (8.1.9) sarah; urgency=medium

  [ monsta ]
  * apt script: use apt-mark for hold/unhold/held commands

  [ Clement Lefebvre ]
  * In the case of menu renames, also consider the timestamp of the names file
  * Get rid of ConfigObj
  * Stop using the commands module
  * Switch adjustment system to python3

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jan 2016 11:33:08 +0000

mintsystem (8.1.8) sarah; urgency=medium

  * Report processing time
  * Turn the adjustment system into a class
  * Skip identical files (using filecmp) when overwriting
  * Improve logs, skip duplicate overwrites, use os.path.join() when appropriate
  * Record timestamps after modifications and only modify when files have changed
  * Don't time/flush each log entry
  * Support show and onlyshowin

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Jan 2016 18:08:04 +0000

mintsystem (8.1.7) sarah; urgency=medium

  * Reviewed shebangs, indentation and trailing spaces

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Jan 2016 16:25:00 +0000

mintsystem (8.1.6) rosa; urgency=medium

  * Revert "Mark mintsystem as Essential" (needs all dependencies to be essential as well, we're not ready for this just yet).

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Nov 2015 11:05:08 +0000

mintsystem (8.1.5) rosa; urgency=medium

  * APT: Elevate the priority of live.linuxmint.com to 750 (needs to override upstream to guarantee we keep langpacks in sync with the versions present on the ISO)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2015 10:54:08 +0000

mintsystem (8.1.4) rosa; urgency=medium

  * Switch official-package-repositories.pref from a conffile to an adjustment (takes care of upgrades and gives more flexibility)
  * Call adjustment system on mintsystem install/upgrade

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2015 14:04:50 +0000

mintsystem (8.1.3) rosa; urgency=medium

  * Switch APT priorities to 500 for main/import/extra

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2015 13:36:55 +0000

mintsystem (8.1.2) rosa; urgency=medium

  * Mark mintsystem as Essential

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Nov 2015 13:27:10 +0000

mintsystem (8.1.1) rosa; urgency=medium

  [ monsta ]
  *  Make "apt contains" command sort its output

  [ Michael Tunnell ]
  * Added a add-repository command

  [ Clement Lefebvre ]

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Nov 2015 14:59:02 +0000

mintsystem (8.1.0) rosa; urgency=medium

  * APT: Raised Kubuntu Backports and LibreOffice PPA to priority 700

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 08 Nov 2015 20:33:29 +0000

mintsystem (8.0.9) rosa; urgency=medium

  * Added a keys to store the choice of wm for MATE and Xfce

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 16:40:40 +0000

mintsystem (8.0.8) rafaela; urgency=medium

  * Added "apt recommends" command

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Jun 2015 13:02:48 +0200

mintsystem (8.0.7) rafaela; urgency=medium

  [ Timothy Sharitt ]
  * Changed apt sources to first try EDITOR then fallback to /usr/bin/editor

  [ Clement Lefebvre ]
  * Added a command to list signal handlers for a given process ID
  * implement required options in init.d script
  * Added menu/exec support and fixed Steam window not closing when close button is pressed

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Jun 2015 14:31:03 +0200

mintsystem (8.0.6) betsy; urgency=medium

  * Fixed menu adjustment removing categories line in renamed applications

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Mar 2015 11:59:47 +0100

mintsystem (8.0.5) betsy; urgency=medium

  * Updated postinst

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Mar 2015 11:08:48 +0100

mintsystem (8.0.4) betsy; urgency=medium

  * Don't chmod scripts before executing them (their permissions should be properly set already)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Feb 2015 18:45:54 +0100

mintsystem (8.0.3) betsy; urgency=medium

  * Added the ability to rename desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Feb 2015 13:34:54 +0100

mintsystem (8.0.2) betsy; urgency=medium

  * Modified init.d script to start mintsystem in runlevels 2,3,4,5 instead of rcS.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Feb 2015 12:30:23 +0100

mintsystem (8.0.1) betsy; urgency=medium

  * Revert "Added /usr/share/applications to the list of triggers"

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Feb 2015 14:12:23 +0100

mintsystem (8.0.0) betsy; urgency=medium

  * Added Virtualbox repository to list of 700 sources

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Feb 2015 12:27:43 +0100

mintsystem (7.9.9) betsy; urgency=medium

  * Added support for menu adjustments (hiding and changing categories)
  * Added /usr/share/applications to the list of triggers

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Feb 2015 14:58:32 +0100

mintsystem (7.9.8) betsy; urgency=medium

  * Added mint-drivers binary to detect common hardware

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Jan 2015 14:42:46 +0100

mintsystem (7.9.7) rebecca; urgency=medium

  * Added bash-completion for apt.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 10 Nov 2014 17:15:55 +0100

mintsystem (7.9.6) rebecca; urgency=medium

  * Added priorities for common 3rd party sources

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 10 Nov 2014 15:59:23 +0100

mintsystem (7.9.5) rebecca; urgency=medium

  * Make "apt content" command sort its output
  * Search: Fixed indentation, don't search when directory or text aren't defined
  * Search: Use . as default directory
  * Fixed "apt download" downloading a little too much

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Nov 2014 23:13:54 +0100

mintsystem (7.9.4) rebecca; urgency=medium

  * Removed unneeded adjustments (they're in Synaptic repo now)
  * Removed obsolete trigger
  * Proper removal of /etc/linuxmint/adjustments/10-mintsystem-synaptic.overwrite
  * Updated prior-version field
  * Don't require dbus in the init script
  * Added pastebin command
  * Use subprocess to workaround issues with quotes

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 Sep 2014 13:07:13 +0200

mintsystem (7.9.3) qiana; urgency=medium

  * Fixed Synaptic freezez

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Jun 2014 11:43:12 +0100

mintsystem (7.9.2) qiana; urgency=medium

  * Fixed a typo in the logs

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 10:45:33 +0100

mintsystem (7.9.1) petra; urgency=low

  * Re-enable mintfortune

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:43:50 +0000

mintsystem (7.9.0) petra; urgency=low

  * Disabled mintfortune for now (using gsettings in the background is risky until systemd fixes the XDG_RUNTIME_DIR issue)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Nov 2013 18:21:46 +0000

mintsystem (7.8.9) petra; urgency=low

  * Fixed MD5 nemo action not working when filename contains space characters

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Nov 2013 15:04:09 +0000

mintsystem (7.8.8) petra; urgency=low

  * Trigger on /usr/lib/firefox

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Oct 2013 13:06:56 +0000

mintsystem (7.8.7) olivia; urgency=low

  * Test presence of Glib before using it in postinst

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 May 2013 12:24:48 +0100

mintsystem (7.8.6) olivia; urgency=low

  * Added trigger on MDM

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 23:44:04 +0100

mintsystem (7.8.5) olivia; urgency=low

  * Added mint-md5sum nemo action

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 May 2013 12:50:54 +0100

mintsystem (7.8.4) olivia; urgency=low

  * Migrated mintfortunes to gsettings

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Mar 2013 13:47:04 +0000

mintsystem (7.8.3) nadia; urgency=low

  * Added dns-fix and xchat-systray commands

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Oct 2012 16:36:11 +0100

mintsystem (7.8.2) maya; urgency=low

  * Don't highlight when stdout isn't a tty (called by a script or using piped commands)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Sep 2012 10:05:24 +0100

mintsystem (7.8.1) maya; urgency=low

  * Switch mint-fortune to use mateconf instead of gconf

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 May 2012 15:22:46 +0100

mintsystem (7.8.0) lisa; urgency=low

  * Added support for .execute adjustments  

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  31 Oct 2011 12:38:00 +0000

mintsystem (7.7.9) katya; urgency=low

  * Fixed unary operator bug in show_fortune check
  * Don't show fortunes if the default setting for it isn't set

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  18 May 2011 12:20:00 +0000

mintsystem (7.7.8) katya; urgency=low

  * adjusted synaptic

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  4 May 2011 23:11:00 +0000

mintsystem (7.7.7) katya; urgency=low

  * added aptitude in dependencies

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  30 Apr 2011 10:57:00 +0000

mintsystem (7.7.6) katya; urgency=low

  * apt download now fetches all dependencies

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  15 Apr 2011 19:04:00 +0000

mintsystem (7.7.5) katya; urgency=low

  * Katya updates
  * Updated Synaptic adjustment

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  12 Apr 2011 11:02:00 +0000

mintsystem (7.7.4) julia; urgency=low

  * Don't show fortunes if gconf says not to.

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  18 Feb 2011 12:09:00 +0000

mintsystem (7.7.3) julia; urgency=low

  * Carriage return added in /etc/issue

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  18 Feb 2011 09:53:00 +0000

mintsystem (7.7.2) julia; urgency=low

  * Removed small from cowsay. Don't highlight apt contains.

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  04 Oct 2010 15:29:00 +0000

mintsystem (7.7.1) julia; urgency=low

  * Added LSB tags to mintsystem init.d script

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  25 Sep 2010 11:00:00 +0000

mintsystem (7.7.0) julia; urgency=low

  * highlight only highlights one arg now, but more reliably and faster (using sed)
  * Trigger in /opt/firefox/firefox (for LMDE)

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  25 Sep 2010 10:31:00 +0000

mintsystem (7.6.9) isadora; urgency=low

  * Added /usr/bin/firefox to list of triggers

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  23 Jul 2010 12:47:00 +0000

mintsystem (7.6.8) isadora; urgency=low

  * Added dependency on fortunes-husse.

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  9 Apr 2010 15:24:00 +0000

mintsystem (7.6.7) isadora; urgency=low

  * Changed cat | grep to grep, and fixed a typo in the adjustment system.

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  29 Mar 2010 14:57:00 +0000

mintsystem (7.6.6) isadora; urgency=low

  * Added hold, unhold, held commands to apt

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  23 Mar 2010 11:49:00 +0000

mintsystem (7.6.5) helena; urgency=low

  * LSB DISTRIB_ID is now configurable

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 Jan 2010 13:20:00 +0000

mintsystem (7.6.4) helena; urgency=low

  * Removed CTRL+ALT+BACKSPACE tweak, now taken care of in gconf

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  10 Nov 2009 3:51:00 +0000

mintsystem (7.6.3) helena; urgency=low

  * Added synaptic adjustments

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  2 Nov 2009 15:13:00 +0000

mintsystem (7.6.2) helena; urgency=low

  * Added triggers

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  2 Nov 2009 15:13:00 +0000

mintsystem (7.6.1) helena; urgency=low

  * Fixed path for configobj

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  25 Oct 2009 17:45:00 +0000

mintsystem (7.6.0) helena; urgency=low

  * Added triggers, removed update-grub config

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  25 Oct 2009 14:51:00 +0000

mintsystem (7.5.9) helena; urgency=low

  * Removed splash screens, moved to mint-artwork-*

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  25 Oct 2009 13:50:00 +0000

mintsystem (7.5.8) helena; urgency=low

  * Adjusted mint-adjust paths

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  22 Oct 2009 17:50:00 +0000

mintsystem (7.5.7) helena; urgency=low

  * Moved resources to mint-common

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Oct 2009 18:07:00 +0000

mintsystem (7.5.6) helena; urgency=low

  * Dependency on mint-common

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Oct 2009 16:20:00 +0000

mintsystem (7.5.5) helena; urgency=low

  * Replaced dontzap solution with command line one for CTRL ALT BACKSPACE

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  7 Oct 2009 13:46:00 +0000

mintsystem (7.5.4) helena; urgency=low

  * Introduced /etc/linuxmint/adjustments configuration for adjustment mechanism

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  4 Sep 2009 18:00:00 +0000

mintsystem (7.5.3) helena; urgency=low

  * Helena build

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  30 Jul 2009 11:20:00 +0000

mintsystem (7.5.2) gloria; urgency=low

  * Bug fix on apt deb 

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  27 Jul 2009 16:18:00 +0000

mintsystem (7.5.1) gloria; urgency=low

  * Bug fix: apt content mint-artwork-gnome doesn't return anything (https://bugs.launchpad.net/bugs/399280)

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Jul 2009 15:40:00 +0000

mintsystem (7.5.0) gloria; urgency=low

  * Bug fix: splash screens aren't edition-specific (https://bugs.launchpad.net/bugs/399289)

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  14 Jul 2009 20:48:00 +0000

mintsystem (7.4.9) gloria; urgency=low

  * apt: Migration from bash to python
  * apt: Color highlighting for search, show, content, contains, version, policy, depends, rdepends
  * apt: Doesn't use sudo when un-necessary
  * apt: Improved help
  * apt: Added Super Cow Powers
  * apt: In certain cases, now deals with multiple packages, for instance "apt search firefox tomboy mozilla" now highlights all three keywords with different colors.
  * Took the opportunity to create a "highlight" command which colorizes keywords --> "produce_some_text | highlight keyword [more_keywords]"

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  9 Jul 2009 15:08:00 +0000

mintsystem (7.4.8) gloria; urgency=low

  * Added dpkg triggers for the adjustment mechanism

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  17 Jun 2009 10:25:00 +0000

mintsystem (7.4.7) gloria; urgency=low

  * Checks to see if dontzap is already set in xorg.conf

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  14 Jun 2009 17:26:00 +0000

mintsystem (7.4.6) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  19 May 2009 18:48:00 +0000

mintsystem (7.4.5) gloria; urgency=low

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 19:56:00 +0000

mintsystem (7.4.4) gloria; urgency=low

  * Added translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  17 May 2009 17:40:00 +0000

mintsystem (7.4.3) gloria; urgency=low

  * Updated Gimp splash (same design, better quality)
  * Added restoration of the execute permissions on /usr/sbin/update-grub in the adjustment system

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  13 May 2009 21:04:00 +0000

mintsystem (7.4.2) gloria; urgency=low

  * Added checks to create global and restore dics in case /etc/linuxmint/mintSystem.conf does not exist

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  11 May 2009 20:17:00 +0000

mintsystem (7.4.1) gloria; urgency=low

  * Changed the way /etc/linuxmint/mintSystem.conf is read (to seamlessly add new values in case of upgrades)
  * Added restoration of the CTRL ALT BACKSPACE shortcut to restart X11

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  11 May 2009 18:42:00 +0000

mintsystem (7.4) gloria; urgency=low

  * Removed ipv6 related code -- too unstable

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  1 May 2009 23:00:00 +0000

mintsystem (7.3) gloria; urgency=low

  * Added IPv6 disabling capability to the adjustment system

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  1 May 2009 18:08:00 +0000

mintsystem (7.2) gloria; urgency=low

  * Added /usr/bin/mint-fortune and dependencies on cowsay and fortune

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  23 Apr 2009 23:07:00 +0000

mintsystem (7.1) gloria; urgency=low

  * Changed default OpenOffice splash screens

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  23 Apr 2009 00:33:00 +0000

mintsystem (7.0) gloria; urgency=low

  * Added locale folder
  * Added /usr/bin/mint-which-launcher

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  22 Apr 2009 17:00:00 +0000

mintsystem (6.9) gloria; urgency=low

  * Changed default Gimp splash

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  21 Apr 2009 22:35:00 +0000

mintsystem (6.8) gloria; urgency=low

  * apt policy can now accept arguments

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  14 Apr 2009 18:56:00 +0000

mintsystem (6.7) gloria; urgency=low

  * Added /etc/issue and /etc/issue.net to adjustment service

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  14 Apr 2009 16:15:00 +0000

mintsystem (6.6) gloria; urgency=low

  * Externalized release related info to new mint-info package and add a dependency on it

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  14 Apr 2009 10:06:00 +0000

mintsystem (6.5) felicia; urgency=low

  * Added /usr/bin/rtfm shortcut to /usr/bin/man

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  14 Apr 2009 9:32:00 +0000

mintsystem (6.4) felicia; urgency=low

  * Added mint-adjust service

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  12 Apr 2009 19:25:00 +0000

mintsystem (6.3) felicia; urgency=low

  * Added mint-apt-version and "apt version"

 -- Clement Lefebvre <clem@linuxmint.com>  Sun,  12 Apr 2009 15:08:00 +0000

mintsystem (6.2) felicia; urgency=low

  * Fixed apt purge
  * apt source doesn't use sudo anymore

 -- Clement Lefebvre <clem@linuxmint.com>  Wed,  18 Feb 2009 20:11:00 +0000

mintsystem (6.1) felicia; urgency=low

  * Added /usr/local/bin/mint-md5sum

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  6 Nov 2008 18:25:00 +0000

mintsystem (6.0) felicia; urgency=low

  * Changed version to suit Linux Mint 6 Felicia

 -- Clement Lefebvre <clem@linuxmint.com>  Mon,  27 Oct 2008 13:09:00 +0000

mintsystem (5.5) elyssa; urgency=low

  * Added /usr/local/bin/search
  * Added content and contains to apt
  * apt doesn't use sudo in root mode anymore

 -- Clement Lefebvre <clem@linuxmint.com>  Mon,  6 Oct 2008 00:09:00 +0000

mintsystem (5.4) elyssa; urgency=low

  * Added configobj.py

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  2 Sep 2008 18:35:00 +0000

mintsystem (5.3) elyssa; urgency=low

  * Added GPL.txt

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  26 Aug 2008 18:39:00 +0000

mintsystem (5.2) elyssa; urgency=low

  * Changed versioning, first number for Mint release, second for revision (starting with 1)
  * Added icon.png
  * Added portals.list for mintInstall

 -- Clement Lefebvre <clem@linuxmint.com>  Tue,  26 Aug 2008 18:31:00 +0000

mintsystem (1.3) elyssa; urgency=low

  * Added apt policy
  * Added apt sources
  * Added apt deb
  * Added apt build
  * Changed apt purge to use apt-get instead of aptitude

 -- Clement Lefebvre <clem@linuxmint.com>  Fri,  30 May 2008 12:17:00 +0000

mintsystem (1.2) elyssa; urgency=low

  * Changed sources.list (Romeo becomes a section)

 -- Clement Lefebvre <clem@linuxmint.com>  Mon,  19 May 2008 21:37:00 +0000

mintsystem (1.1) elyssa; urgency=low

  * Added /usr/local/bin/apt

 -- Clement Lefebvre <clem@linuxmint.com>  Thu,  1 May 2008 20:50:00 +0000

mintsystem (1.0) elyssa; urgency=low

  * Initial release

 -- Clement Lefebvre <clem@linuxmint.com>  Wed,  30 Jan 2008 22:56:00 +0000

